## rpy2-2.8 2.8.6

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  rpy2demo_graphics to build the figures used in the documentation about graphics"
	@echo "  rpy2demo_benchmark to build the figure(s) used in the documentation about benchmarks"
	@echo "  notebooks to build the ipython notebooks used in the documentation"

clean:
	rm -rf $(BUILDDIR)/*

rpy2demo_benchmark:
	@cd _static/demos && python benchmarks.py

rpy2demo_graphics:
	@cd _static/demos && python graphics.py

rpy2demo_all: rpy2demo_graphics rpy2demo_benchmark

# rule to build ipython notebooks from markdown
notebooks/%.ipynb : notebooks/%.md
	notedown \
                 --precode 'from functools import partial' \
                           'from rpy2.ipython import html' \
                           'html.html_rdataframe=partial(html.html_rdataframe, table_class="docutils")' \
                 --run \
                 -o $@ \
	         $<
	cp $@ _static/notebooks/

# rule to build sphinx-friendly ReST from ipython notebooks
notebooks/%.rst : notebooks/%.ipynb
	@cd generated_rst && ipython nbconvert --to rst ../$<

# rule to build HTML render of an ipython notebook
_static/notebooks/%.html : notebooks/%.ipynb
	ipython nbconvert --to html $< --output $@

MD_NOTEBOOKS := $(basename $(notdir $(wildcard notebooks/*.md)))

_notebooks: $(MD_NOTEBOOKS:%=notebooks/%.rst)

_notebooks_html: $(MD_NOTEBOOKS:%=_static/notebooks/%.html)

notebooks:
	@echo "Building IPython notebooks from markdown..."
	mkdir -p _static/notebooks
	_notebooks
	_notebooks_html
        
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rpy2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rpy2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rpy2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rpy2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
rpy2-2.8 (2.8.6-4) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 19 Aug 2019 06:19:14 -0500

rpy2-2.8 (2.8.6-3) unstable; urgency=medium

  * debian/watch: Removed, no upstream support, rpy2 3.* requires Python 3

  * debian/control: Set (Build-)Depends: to current R version 
  * debian/control: Set Standards-Version: to current version

  * debian/source/format: Added
  * debian/patches/rpy2_patch: Adding 'singledispatch' requirement

  * debian/source.lintian-overrides: Added
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Apr 2019 08:43:48 -0500

rpy2-2.8 (2.8.6-2) unstable; urgency=medium

  * Fork rpy2 source package at the last version that supported Python 2.
  * Disable python3 parts, use src:rpy2 (python3-rpy2) if you need that.

 -- Ximin Luo <infinity0@debian.org>  Tue, 05 Sep 2017 11:12:19 +0200

rpy2 (2.8.6-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version 

  * debian/python3-rpy2.lintian-overrides: Added
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Jul 2017 11:37:23 -0500

rpy2 (2.8.5-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Dec 2016 15:10:32 -0600

rpy2 (2.8.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Dec 2016 13:37:35 -0600

rpy2 (2.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Sep 2016 20:13:55 -0500

rpy2 (2.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Jun 2016 19:50:20 -0500

rpy2 (2.8.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version
 
  * debian/control: Remove Build-Depends: of libicu-dev now supplied by
    r-base-devs

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 May 2016 10:50:40 -0500

rpy2 (2.7.9-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Add Build-Depends: of libicu-dev

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 May 2016 06:36:32 -0500

rpy2 (2.7.8-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Feb 2016 20:32:13 -0600

rpy2 (2.7.7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Jan 2016 12:23:15 -0600

rpy2 (2.7.6-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Dec 2015 22:13:12 -0600

rpy2 (2.7.4-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 08 Nov 2015 14:09:27 -0600

rpy2 (2.7.3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2015 20:44:30 -0600

rpy2 (2.7.2-2) unstable; urgency=low

  * Applied patch by Matthias Klose to address implicit pointer
    conversion; patch has also been applied upstream (closes: #802978)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Oct 2015 19:52:06 -0500

rpy2 (2.7.2-1ubuntu1) xenial; urgency=medium

  * Avoid implicit pointer conversions.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Oct 2015 20:37:31 +0200

rpy2 (2.7.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Oct 2015 09:01:42 -0500

rpy2 (2.7.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Oct 2015 14:31:28 -0500

rpy2 (2.7.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Sep 2015 22:35:09 -0500

rpy2 (2.6.3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Sep 2015 22:29:19 -0500

rpy2 (2.6.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Aug 2015 21:57:21 -0500

rpy2 (2.6.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Jul 2015 18:05:43 -0500

rpy2 (2.6.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Jun 2015 21:30:07 -0500

rpy2 (2.5.6-2) unstable; urgency=low

  * debian/control: Added python3-rpy2 entry and Build-Depends
  						      	(Closes: #782958)
  * debian/rules: Rewritten / simplified for current debhelper 9 scheme
  
  * debian/control: Removed unused Build-Depends for sphinx and latex

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Apr 2015 20:00:28 -0500

rpy2 (2.5.6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 Feb 2015 19:49:07 -0600

rpy2 (2.5.5-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 31 Jan 2015 18:12:02 -0600

rpy2 (2.5.4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Dec 2014 16:33:52 -0600

rpy2 (2.5.3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Dec 2014 22:07:51 -0600

rpy2 (2.5.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Nov 2014 17:45:46 -0600

rpy2 (2.5.0-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: rpy2-2.8
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>, Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.6.1), python-all-dev, python-setuptools, python-numpy-dev
Homepage: https://bitbucket.org/lgautier/rpy2
Vcs-Browser: https://salsa.debian.org/edd/rpy2-2.8
Vcs-Git: https://salsa.debian.org/edd/rpy2-2.8.git

Package: python-rpy2
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-numpy, r-base-core (>= 3.5.3)
Provides: ${python:Provides}
Suggests: python-rpy-docs
Description: Python 2 interface to the GNU R language and environment (version 2.8)
 This Debian package provides RPy2, a very simple yet robust Python interface
 to the GNU R Programming Language. It can manage different types of R objects,
 and can execute arbitrary R functions, including graphic functions.
 Rpy2 is a rewrite and extension of the older RPy interface.
 .
 This package provides the Python 2 module, at the last version (2.8) that was
 supported by upstream -- RPy2 has moved on is now supporting Python 3 only.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian GNU/Linux python-rpy2 package
# Copyright 2004 - 2015 by Dirk Eddelbuettel <edd@debian.org>

buildvers       := $(shell pyversions -sv)

version         := $(shell head -1 debian/changelog | perl -nle 'm/\((.*)-\d\)/ && print $$1')

showversion:
	@echo "Version is ${version}"

tarball:
	(cd .. && \
		tar czf ../$(project)_${version}.orig.tar.gz ./$(project) \
			--exclude=.svn --exclude=debian/ --exclude=.hg)


%:
	dh $@ --with python2

override_dh_auto_install:
	dh_install -ppython-rpy2 
	set -e && for i in $(buildvers); do \
	  python$$i ./setup.py install --install-layout=deb --root $(CURDIR)/debian/python-rpy2; \
	done

override_dh_installdocs:
	dh_installdocs -a NEWS 

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/build
